package ch.fritteli.labyrinth.generator.renderer.pdf;

import ch.fritteli.labyrinth.generator.model.Labyrinth;
import ch.fritteli.labyrinth.generator.renderer.Renderer;
import lombok.NonNull;

public class PDFRenderer implements Renderer<byte[]> {
    static final float MARGIN = 10;
    static final float SCALE = 10;

    private PDFRenderer() {

    }

    @NonNull
    public static PDFRenderer newInstance() {
        return new PDFRenderer();
    }

    @Override
    @NonNull
    public byte[] render(@NonNull final Labyrinth labyrinth) {
        final Generator generator = new Generator(labyrinth);
        return generator.generate();
    }


}
