package ch.fritteli.labyrinth.generator.model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;

class LabyrinthTest {
    @Test
    void testConstruct() {
        // act / assert on simple cases
        assertThrows(IllegalArgumentException.class, () -> new Labyrinth(0, 0));
        assertThrows(IllegalArgumentException.class, () -> new Labyrinth(0, 0, 0));

        // now for the real work:
        // arrange
        final Labyrinth sut = new Labyrinth(2, 3, 5);

        // assert
        assertEquals(2, sut.getWidth());
        assertEquals(3, sut.getHeight());
        assertEquals(5, sut.getRandomSeed());
        assertEquals(new Position(0, 0), sut.getStart());
        assertEquals(new Position(1, 2), sut.getEnd());
    }
}
