package ch.fritteli.labyrinth.generator.model;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

class PositionTest {
    @Test
    void move() {
        // arrange
        final Position sut = new Position(0, 0);

        // act
        final Position resultTOP = sut.move(Direction.TOP);
        final Position resultRIGHT = sut.move(Direction.RIGHT);
        final Position resultBOTTOM = sut.move(Direction.BOTTOM);
        final Position resultLEFT = sut.move(Direction.LEFT);

        // assert
        // Original is unchanged
        assertEquals(new Position(0, 0), sut);
        assertEquals(new Position(0, -1), resultTOP);
        assertEquals(new Position(1, 0), resultRIGHT);
        assertEquals(new Position(0, 1), resultBOTTOM);
        assertEquals(new Position(-1, 0), resultLEFT);
    }
}
